Update Java on Bp Premier server and workstations

This article describes how to update the version of the Java Runtime Environment required by the Bp Premier Medicare module.

What is Java?

Java is a programming language and computing platform released by Sun Microsystems. Java is used by many different software applications, including the Medicare module that is included as part of the Bp Premier installation. The Medicare module is dependent upon a minimum version of Java being installed to work correctly.

Why do I need to update Java?

Depending on how your practice network manages software updates, the PCs on your network may prompt to update the version of Java installed. You must update the existing version of Java without removing older versions required by the Bp Premier Medicare module.

Bp Medicare V5 Module requires Java 6 update 26 SE 6u26. If you install the V5 Module from the Bp Premier installation DVD or program upgrade, Bp Premier will automatically install this version of Java. If a Bp Premier computer later asks to update Java, you must ensure that JRE version Java 6 update 26 SE 6u26 is not uninstalled.

Practices should consult with their IT services provider to ensure the advice given below aligns with the practice's IT and software update policy. Your IT services provider must be made aware that Java 6 update 26 SE 6u26 must not be uninstalled, or the Bp Premier Medicare adapter may not work as intended.

NOTE  You may require Windows Administrator permissions to run some of the following steps.

What should I do when JAVA prompts me for an update?

Your Windows operating system may prompt you to perform a Java update. This prompt may appear on each PC connected to your practice network, and will normally be seen after a PC has been restarted or at first login.

The screens in the example below may be different to the screens you see, depending on your version of Windows and the version of Java you are updating to. Make sure Java(TM) 6 Update 26 is not selected at step 5.

  1. Accept the prompt to perform the Java update. Windows User Access Control or SmartScreen will ask for confirmation to proceed. Click Yes.
  2. Follow the prompts from the Java installer to agree with the conditions and continue with the update.
  3. If the installer prompts for confirmation to download a new version of Java, accept and download the file. Run the Java update.
  4. During the update process, the Java installer will advise if any old Java versions have been detected.
  5. Updating Java

  6. Untick the option Java(TM) 6 Update 26, as shown. Java will leave this version installed so the Medicare adapter can keep using this version. Versions older than this can be uninstalled safely.
  7. Click Uninstall. Older versions will be uninstalled.
  8. Continue with the Java update process.

What if I have uninstalled old Java versions?

If you believe you have removed the Java version required by Bp Premier, you can reinstall the version required by Medicare and return any lost functionality.

  1. Open the Best Practice Software website www.bpsoftware.net in a browser.
  2. Select ResourcesBp Premier Downloads from the menu.
  3. Under the Utilities section, click to expand Bp Medicare V5 Module.
  4. Click Download to download the .exe file to the default Downloads folder, or right-click download and select Save link as... or Save target as... to download the file to a known location.

After the file has downloaded, double-click the file and follow the prompts to complete the install.

Installing the Bp Premier Medicare module will replace any missing files, including the Java version required for the Medicare functionality in Bp Premier to operate correctly.